@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM Product #5724-C94, 5724-E69, 5724-L72, (C) COPYRIGHT International Business Machines Corp., 2002-2005.
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@rem Requires environment variables to be set: WAS_HOME, PUI_PRODUCT_HOME

@setlocal
@echo off

set LaunchTitle=%0
Echo Start of [ %LaunchTitle% ]
Echo.

REM in case puiVersionInfo.bat is called from another directory, cd into dir
cd /d %~dp0

REM ##Check WAS_HOME
REM IF "%WAS_HOME%" == "" (
REM     Echo The WAS_HOME env variable MUST be set.  Exiting.
REM     Echo.
REM     GoTo End
REM ) 

REM ##Check JAVA_HOME
IF "%JAVA_HOME%" == "" (
    Echo The JAVA_HOME env variable MUST be set.  Exiting.
    Echo.
    GoTo End
) 

REM ##Check that java can be found
IF NOT EXIST "%JAVA_HOME%\bin\java.exe" (
    Echo The JAVA_HOME env variable is not set correctly.
    Echo Unable to locate bin\java.exe in %JAVA_HOME%.  Exiting.
    Echo.
    GoTo End
)
REM ##Check for setupCmdLine.bat
REM IF NOT EXIST "%WAS_HOME%\bin\setupCmdLine.bat" (
REM     Echo The WAS_HOME env variable is not set correctly.
REM     Echo Unable to locate WAS setupCmdLine.bat in %WAS_HOME%.  Exiting.
REM     Echo.
REM     GoTo End
REM )

REM call "%WAS_HOME%/bin/setupCmdLine.bat"

REM ##Check that PUI_PRODUCT_HOME is set
IF "%PUI_PRODUCT_HOME%" == "" (
    Echo The PUI_PRODUCT_HOME env variable MUST be set.  Exiting.
    Echo.
    GoTo End
)

REM ##Check for version directory
IF NOT EXIST "%PUI_PRODUCT_HOME%\config\version" (
    IF NOT EXIST "%PUI_PRODUCT_HOME%\version" (
        Echo The PUI_PRODUCT_HOME env variable is not set correctly.
        Echo Unable to locate version directory below %PUI_PRODUCT_HOME%. Exiting.
        Echo.
        GoTo End
    )
)

REM ##Locate PuiProduct.jar
IF EXIST .\PuiProduct.jar (
    set PUI_PRODUCT_JAR=.\PuiProduct.jar
) ELSE (
    IF EXIST ..\lib\PuiProduct.jar (
        set PUI_PRODUCT_JAR=..\lib\PuiProduct.jar
    ) ELSE (
        echo Cannot locate PuiProduct.jar
        goto End
    )
)

REM ##Locate PuiProducts.xml
REM   If this was installed as part of PUI, always copy in case it changed. 
REM   That will be single source.
IF EXIST ..\PuiProducts.xml (
    copy ..\PuiProducts.x* .
) ELSE (
    REM If this was reports only, PuiProducts.xml should already be here.
    IF NOT EXIST .\PuiProducts.xml (
        echo Cannot locate PuiProducts.xml
        goto End
    )
)

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console

REM set WAS_EXT_DIRS="%PUI_PRODUCT_JAR%";%WAS_EXT_DIRS%

REM "%JAVA_HOME%\bin\java" ^
REM     %CONSOLE_ENCODING% ^
REM     "%CLIENTSAS%" ^
REM     -Dwas.install.root="%WAS_HOME%" ^
REM     -Dws.ext.dirs="%WAS_EXT_DIRS%" ^
REM     -classpath "%WAS_CLASSPATH%" ^
REM     -Dwps.install.root="%PUI_PRODUCT_HOME%" ^
REM     com.ibm.ws.bootstrap.WSLauncher ^
REM     com.ibm.websphere.product.VersionInfo %*

"%JAVA_HOME%\bin\java" ^
    %CONSOLE_ENCODING% ^
    -classpath "%PUI_PRODUCT_JAR%" ^
    -Dwps.install.root="%PUI_PRODUCT_HOME%" ^
    com.ibm.websphere.product.VersionInfo %*

:End
Echo.
Echo End of [ %LaunchTitle% ]
Echo.
@endlocal
